package com.kingdee.eas.custom.dormitorysystem.dormitory;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class DormitoryCollection extends AbstractObjectCollection 
{
    public DormitoryCollection()
    {
        super(DormitoryInfo.class);
    }
    public boolean add(DormitoryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(DormitoryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(DormitoryInfo item)
    {
        return removeObject(item);
    }
    public DormitoryInfo get(int index)
    {
        return(DormitoryInfo)getObject(index);
    }
    public DormitoryInfo get(Object key)
    {
        return(DormitoryInfo)getObject(key);
    }
    public void set(int index, DormitoryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(DormitoryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(DormitoryInfo item)
    {
        return super.indexOf(item);
    }
}